Page MenuHomePhabricator

Add missing HWEncoding to base register class.
ClosedPublic

Authored by sidneym on Sep 8 2014, 6:55 PM.

Details

Summary

This change gives tblgen the information needed to fill in the HexagonRegEncodingTable.

Diff Detail

Event Timeline

sidneym updated this revision to Diff 13434.Sep 8 2014, 6:55 PM
sidneym retitled this revision from to Add missing HWEncoding to base register class..
sidneym updated this object.
sidneym edited the test plan for this revision. (Show Details)
sidneym added reviewers: adasgupt, jverma, shankarke.
sidneym added a subscriber: Unknown Object (MLST).
This revision is now accepted and ready to land.Sep 8 2014, 7:45 PM
adasgupt accepted this revision.Sep 9 2014, 7:11 AM
adasgupt edited edge metadata.

LGTM. Discussed this with Sid offline and tests will be added as part of adding the encodings.

sidneym closed this revision.Oct 6 2014, 8:14 AM